package ru.yandex.webmaster3.viewer.http.searchquery;

import org.joda.time.DateTime;

import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.viewer.http.AbstractUserVerifiedHostRequest;

/**
 * @author aherman
 */
public class GetHostSearchHistoryRequest extends AbstractUserVerifiedHostRequest {
    private DateTime dateFrom;
    private DateTime dateTo;

    public DateTime getDateFrom() {
        return dateFrom;
    }

    @RequestQueryProperty
    public void setDateFrom(DateTime dateFrom) {
        this.dateFrom = dateFrom;
    }

    public DateTime getDateTo() {
        return dateTo;
    }

    @RequestQueryProperty
    public void setDateTo(DateTime dateTo) {
        this.dateTo = dateTo;
    }
}
